- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Public Member Functions | Properties

# VolumeFaderEffect Class Reference

Search for all occurrences

## Detailed Description

Audio effect to gradually fade the audio volume.

This effect differs from gradually changing the output volume in that a dedicated effect can change the volume in the smallest possible steps while every other volume control will make more or less noticeable steps.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  AudioOutput::volume

Definition at line 51 of file volumefadereffect.h.

`#include <Phonon/VolumeFaderEffect>`

Inheritance diagram for VolumeFaderEffect:
[legend]

List of all members.

## Public Types
enum | FadeCurve { Fade3Decibel, Fade6Decibel, Fade9Decibel, Fade12Decibel }
| Determines the curve of the volume change. More...
## Public Slots
void | fadeIn (int fadeTime)
| Tells the Fader to change the volume from the current volume to 100% in `fadeTime` milliseconds.
void | fadeOut (int fadeTime)
| Tells the Fader to change the volume from the current volume to 0% in `fadeTime` milliseconds.
void | setVolume (float volume)
void | setVolumeDecibel (double volumeDecibel)
void | setFadeCurve (FadeCurve curve)
void | fadeTo (float volume, int fadeTime)
| Tells the Fader to change the volume from the current value to `volume` in `fadeTime` milliseconds.
## Public Member Functions
float | volume () const
double | volumeDecibel () const
FadeCurve | fadeCurve () const
## Properties
float | volume
| This is the current volume of the output as voltage factor.
double | volumeDecibel
| This is the current volume of the output in decibel.
FadeCurve | fadeCurve
| This property holds the fade curve to be used for the fadeIn(), fadeOut() and fadeTo() slots.

## Member Enumeration Documentation

enum FadeCurve

Search for all occurrences

Determines the curve of the volume change.

Enumerator:

  Fade3Decibel | "Crossfade curve" / "fast" fade out Often the best fade for a crossfade, as after half of the time the volume reached -3dB. This means that half the possible power (which is proportional to the square of the voltage) is reached. Summed, the maximum power of two audio signals fading with a -3dB curve will always be equal. For fading in or out the -3dB curve is too abrupt in the end. This is the default fade curve. Search for all occurrences
  Fade6Decibel | "Linear" fade out With a -6dB fade curve after half of the fading time -6dB has been reached. -6dB is equal to half of the voltage meaning that the voltage multiplier changes linearly from the start of the fade to the end. Search for all occurrences
  Fade9Decibel | "slow" fade out After half of the fade time -9dB are reached. So the fade is fast in the beginning and slow in the end. This is a good fade for ending music. Search for all occurrences
  Fade12Decibel | more extreme version of the -9dB fade Search for all occurrences

Definition at line 90 of file volumefadereffect.h.

                          :

## Member Function Documentation

float volume | ( |  | ) | const

Search for all occurrences

double volumeDecibel | ( |  | ) | const

Search for all occurrences

FadeCurve fadeCurve | ( |  | ) | const

Search for all occurrences

void fadeIn | ( | int | fadeTime | ) | `[slot]`

Search for all occurrences

Tells the Fader to change the volume from the current volume to 100% in `fadeTime` milliseconds.

Short for `fadeTo`(1.0, fadeTime).

Parameters:

  fadeTime | the fade duration in milliseconds

See also:
  fadeTo
  volume

void fadeOut | ( | int | fadeTime | ) | `[slot]`

Search for all occurrences

Tells the Fader to change the volume from the current volume to 0% in `fadeTime` milliseconds.

Short for `fadeTo`(0.0, fadeTime).

Parameters:

  fadeTime | the fade duration in milliseconds

See also:
  fadeTo

void setVolume | ( | float | volume | ) | `[slot]`

Search for all occurrences

void setVolumeDecibel | ( | double | volumeDecibel | ) | `[slot]`

Search for all occurrences

void setFadeCurve | ( | FadeCurve | curve | ) | `[slot]`

Search for all occurrences

void fadeTo | ( | float | volume,
|  | int | fadeTime
| ) |  | `[slot]`

Search for all occurrences

Tells the Fader to change the volume from the current value to `volume` in `fadeTime` milliseconds.

See also:
  fadeIn
  fadeOut

## Property Documentation

float volume `[read, write]`

Search for all occurrences

This is the current volume of the output as voltage factor.

Setting this property changes the volume immediately.

1.0 means 100%, 0.5 means 50% voltage/25% power, 0.0 means 0%

See also:
  volumeDecibel

Definition at line 65 of file volumefadereffect.h.

double volumeDecibel `[read, write]`

Search for all occurrences

This is the current volume of the output in decibel.

Setting this property changes the volume immediately.

0 dB means no change in volume, -6dB means an attenuation of the voltage to 50% and an attenuation of the power to 25%, -inf dB means silence.

See also:
  volume

Definition at line 76 of file volumefadereffect.h.

FadeCurve fadeCurve `[read, write]`

Search for all occurrences

This property holds the fade curve to be used for the fadeIn(), fadeOut() and fadeTo() slots.

Defaults to Fade3Decibel.

See also:
  FadeCurve

Definition at line 85 of file volumefadereffect.h.

The documentation for this class was generated from the following file:

- phonon/volumefadereffect.h

VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect
VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect VolumeFaderEffect